Bug 28542

Summary: Move new authority from Z39.50/SRU to a button
Product: Koha Reporter: Fridolin Somers <fridolin.somers>
Component: CatalogingAssignee: Fridolin Somers <fridolin.somers>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: normal    
Priority: P5 - low CC: david, kyle, m.de.rooy, victor
Version: masterKeywords: Manual
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=28543
Change sponsored?: --- Patch complexity: Trivial patch
Text to go in the release notes:
This makes the layout for creating new authorities consistent with creating new records - there is now a separate button 'New from Z39.50/SRU' (rather than being part of the drop-down list).
Version(s) released in:
21.11.00,21.05.02,20.11.08
Attachments: Bug 28542: Move new authority from Z39.50/SRU to a button
Bug 28542: Move new authority from Z39.50/SRU to a button
Bug 28542: Move new authority from Z39.50/SRU to a button

Description Fridolin Somers 2021-06-10 13:04:11 UTC
Actually in authority tools bar, 'New from Z39.50/SRU' is inside 'New autority' menu.
This is different from biblio cataloguing toolbar, and adds a click to access it.
I propose to move this to its own button.
Comment 1 Fridolin Somers 2021-06-10 13:13:20 UTC
Created attachment 121770 [details] [review]
Bug 28542: Move new authority from Z39.50/SRU to a button

Actually in authority tools bar, 'New from Z39.50/SRU' is inside 'New autority' menu.
This is different from biblio cataloguing toolbar, and adds a click to access it.

I propose to move this to its own button.

Test plan :
1) Create a Z39.50/SRU server connexion for authorities
2) Go to authorities home page
3) Check you see buttons 'New autority' and 'New from Z39.50/SRU'
4) Click on 'New autority'
5) Check you only see autority types
6) Click on 'New from Z39.50/SRU'
7) Check you go to Z39.50/SRU popup
8) Delete Z39.50/SRU server connexion for authorities
9) Go to authorities home page
10) Check you dont see 'New from Z39.50/SRU'
Comment 2 David Nind 2021-06-10 18:19:08 UTC
Created attachment 121806 [details] [review]
Bug 28542: Move new authority from Z39.50/SRU to a button

Actually in authority tools bar, 'New from Z39.50/SRU' is inside 'New autority' menu.
This is different from biblio cataloguing toolbar, and adds a click to access it.

I propose to move this to its own button.

Test plan :
1) Create a Z39.50/SRU server connexion for authorities
2) Go to authorities home page
3) Check you see buttons 'New autority' and 'New from Z39.50/SRU'
4) Click on 'New autority'
5) Check you only see autority types
6) Click on 'New from Z39.50/SRU'
7) Check you go to Z39.50/SRU popup
8) Delete Z39.50/SRU server connexion for authorities
9) Go to authorities home page
10) Check you dont see 'New from Z39.50/SRU'

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2021-06-11 16:55:00 UTC
Created attachment 121864 [details] [review]
Bug 28542: Move new authority from Z39.50/SRU to a button

Actually in authority tools bar, 'New from Z39.50/SRU' is inside 'New autority' menu.
This is different from biblio cataloguing toolbar, and adds a click to access it.

I propose to move this to its own button.

Test plan :
1) Create a Z39.50/SRU server connexion for authorities
2) Go to authorities home page
3) Check you see buttons 'New autority' and 'New from Z39.50/SRU'
4) Click on 'New autority'
5) Check you only see autority types
6) Click on 'New from Z39.50/SRU'
7) Check you go to Z39.50/SRU popup
8) Delete Z39.50/SRU server connexion for authorities
9) Go to authorities home page
10) Check you dont see 'New from Z39.50/SRU'

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-06-21 10:06:50 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-06-25 13:42:33 UTC
Pushed to 21.05.x for 21.05.2
Comment 6 Fridolin Somers 2021-07-10 01:33:14 UTC
Pushed to 20.11.x for 20.11.08
Comment 7 Victor Grousset/tuxayo 2021-07-10 23:31:54 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.